# GESTitleClip

Renders the given text in the specified font, at specified position, and with the specified background pattern.

## GESTitleClip

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESContainer
                    ╰──GESClip
                        ╰──GESSourceClip
                            ╰──GESTitleClip

Render stand-alone titles in GESLayer.

### Members

`parent` (GESSourceClip) –
No description available

### Class structure

#### GESTitleClipClass

### GES.TitleClipClass

## GES.TitleClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.SourceClip
                            ╰──GES.TitleClip

Render stand-alone titles in GESLayer.

### Members

`parent` (GES.SourceClip) –
No description available

## GES.TitleClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.SourceClip
                            ╰──GES.TitleClip

Render stand-alone titles in GESLayer.

### Members

`parent` (GES.SourceClip) –
No description available

### Constructors

#### ges_title_clip_new

    GESTitleClip *
    ges_title_clip_new ()

Creates a new GESTitleClip

Returns ( [transfer: floating][nullable]) –

The newly created GESTitleClip, or NULL if there was an error.

#### GES.TitleClip.prototype.new

    function GES.TitleClip.prototype.new(): {
        // javascript wrapper for 'ges_title_clip_new'
    }

Creates a new GES.TitleClip

Returns (GES.TitleClip) –

The newly created GES.TitleClip, or NULL if there was an error.

#### GES.TitleClip.new

    def GES.TitleClip.new ():
        #python wrapper for 'ges_title_clip_new'

Creates a new GES.TitleClip

Returns (GES.TitleClip) –

The newly created GES.TitleClip, or NULL if there was an error.

### Methods

#### ges_title_clip_get_background_color

    const guint32
    ges_title_clip_get_background_color (GESTitleClip * self)

Get the background used by self.

Parameters:

`self` –

a GESTitleClip

Returns –

The color used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.get_background_color

    function GES.TitleClip.prototype.get_background_color(): {
        // javascript wrapper for 'ges_title_clip_get_background_color'
    }

Get the background used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (Number) –

The color used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.get_background_color

    def GES.TitleClip.get_background_color (self):
        #python wrapper for 'ges_title_clip_get_background_color'

Get the background used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (int) –

The color used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_get_font_desc

    const gchar*
    ges_title_clip_get_font_desc (GESTitleClip * self)

Get the pango font description used by self.

Parameters:

`self` –

a GESTitleClip

Returns ( [transfer: full][nullable]) –

The pango font description used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.get_font_desc

    function GES.TitleClip.prototype.get_font_desc(): {
        // javascript wrapper for 'ges_title_clip_get_font_desc'
    }

Get the pango font description used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (String) –

The pango font description used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.get_font_desc

    def GES.TitleClip.get_font_desc (self):
        #python wrapper for 'ges_title_clip_get_font_desc'

Get the pango font description used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (str) –

The pango font description used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_get_halignment

    GESTextHAlign
    ges_title_clip_get_halignment (GESTitleClip * self)

Get the horizontal aligment used by self.

Parameters:

`self` –

a GESTitleClip

Returns –

The horizontal aligment used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.get_halignment

    function GES.TitleClip.prototype.get_halignment(): {
        // javascript wrapper for 'ges_title_clip_get_halignment'
    }

Get the horizontal aligment used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (GES.TextHAlign) –

The horizontal aligment used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.get_halignment

    def GES.TitleClip.get_halignment (self):
        #python wrapper for 'ges_title_clip_get_halignment'

Get the horizontal aligment used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (GES.TextHAlign) –

The horizontal aligment used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_get_text

    const gchar*
    ges_title_clip_get_text (GESTitleClip * self)

Get the text currently set on self.

Parameters:

`self` –

a GESTitleClip

Returns ( [transfer: full][nullable]) –

The text currently set on self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.get_text

    function GES.TitleClip.prototype.get_text(): {
        // javascript wrapper for 'ges_title_clip_get_text'
    }

Get the text currently set on self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (String) –

The text currently set on self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.get_text

    def GES.TitleClip.get_text (self):
        #python wrapper for 'ges_title_clip_get_text'

Get the text currently set on self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (str) –

The text currently set on self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_get_text_color

    const guint32
    ges_title_clip_get_text_color (GESTitleClip * self)

Get the color used by self.

Parameters:

`self` –

a GESTitleClip

Returns –

The color used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.get_text_color

    function GES.TitleClip.prototype.get_text_color(): {
        // javascript wrapper for 'ges_title_clip_get_text_color'
    }

Get the color used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (Number) –

The color used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.get_text_color

    def GES.TitleClip.get_text_color (self):
        #python wrapper for 'ges_title_clip_get_text_color'

Get the color used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (int) –

The color used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_get_valignment

    GESTextVAlign
    ges_title_clip_get_valignment (GESTitleClip * self)

Get the vertical aligment used by self.

Parameters:

`self` –

a GESTitleClip

Returns –

The vertical aligment used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.get_valignment

    function GES.TitleClip.prototype.get_valignment(): {
        // javascript wrapper for 'ges_title_clip_get_valignment'
    }

Get the vertical aligment used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (GES.TextVAlign) –

The vertical aligment used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.get_valignment

    def GES.TitleClip.get_valignment (self):
        #python wrapper for 'ges_title_clip_get_valignment'

Get the vertical aligment used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (GES.TextVAlign) –

The vertical aligment used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_get_xpos

    const gdouble
    ges_title_clip_get_xpos (GESTitleClip * self)

Get the horizontal position used by self.

Parameters:

`self` –

a GESTitleClip

Returns –

The horizontal position used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.get_xpos

    function GES.TitleClip.prototype.get_xpos(): {
        // javascript wrapper for 'ges_title_clip_get_xpos'
    }

Get the horizontal position used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (Number) –

The horizontal position used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.get_xpos

    def GES.TitleClip.get_xpos (self):
        #python wrapper for 'ges_title_clip_get_xpos'

Get the horizontal position used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (float) –

The horizontal position used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_get_ypos

    const gdouble
    ges_title_clip_get_ypos (GESTitleClip * self)

Get the vertical position used by self.

Parameters:

`self` –

a GESTitleClip

Returns –

The vertical position used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_property instead

#### GES.TitleClip.prototype.get_ypos

    function GES.TitleClip.prototype.get_ypos(): {
        // javascript wrapper for 'ges_title_clip_get_ypos'
    }

Get the vertical position used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (Number) –

The vertical position used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_property instead

#### GES.TitleClip.get_ypos

    def GES.TitleClip.get_ypos (self):
        #python wrapper for 'ges_title_clip_get_ypos'

Get the vertical position used by self.

Parameters:

`self` (GES.TitleClip) –

a GES.TitleClip

Returns (float) –

The vertical position used by self.

deprecated : 1.6: use #ges_timeline_element_get_children_property instead

#### ges_title_clip_set_background

    ges_title_clip_set_background (GESTitleClip * self,
                                   guint32 background)

Sets the background of the text.

Parameters:

`self` –

the GESTitleClip* to set

`background` –

The color self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.set_background

    function GES.TitleClip.prototype.set_background(background: Number): {
        // javascript wrapper for 'ges_title_clip_set_background'
    }

Sets the background of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set

`background` (Number) –

The color self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.set_background

    def GES.TitleClip.set_background (self, background):
        #python wrapper for 'ges_title_clip_set_background'

Sets the background of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set

`background` (int) –

The color self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_set_color

    ges_title_clip_set_color (GESTitleClip * self,
                              guint32 color)

Sets the color of the text.

Parameters:

`self` –

the GESTitleClip* to set

`color` –

The color self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.set_color

    function GES.TitleClip.prototype.set_color(color: Number): {
        // javascript wrapper for 'ges_title_clip_set_color'
    }

Sets the color of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set

`color` (Number) –

The color self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.set_color

    def GES.TitleClip.set_color (self, color):
        #python wrapper for 'ges_title_clip_set_color'

Sets the color of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set

`color` (int) –

The color self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_set_font_desc

    ges_title_clip_set_font_desc (GESTitleClip * self,
                                  const gchar* font_desc)

Sets the pango font description of the text.

Parameters:

`self` –

the GESTitleClip*

`font_desc` ( [nullable]) –

the pango font description

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.set_font_desc

    function GES.TitleClip.prototype.set_font_desc(font_desc: String): {
        // javascript wrapper for 'ges_title_clip_set_font_desc'
    }

Sets the pango font description of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip*

`font_desc` (String) –

the pango font description

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.set_font_desc

    def GES.TitleClip.set_font_desc (self, font_desc):
        #python wrapper for 'ges_title_clip_set_font_desc'

Sets the pango font description of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip*

`font_desc` (str) –

the pango font description

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_set_halignment

    ges_title_clip_set_halignment (GESTitleClip * self,
                                   GESTextHAlign halign)

Sets the horizontal aligment of the text.

Parameters:

`self` –

the GESTitleClip* to set horizontal alignement of text on

`halign` –

GESTextHAlign

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.set_halignment

    function GES.TitleClip.prototype.set_halignment(halign: GES.TextHAlign): {
        // javascript wrapper for 'ges_title_clip_set_halignment'
    }

Sets the horizontal aligment of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set horizontal alignement of text on

`halign` (GES.TextHAlign) –

GES.TextHAlign

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.set_halignment

    def GES.TitleClip.set_halignment (self, halign):
        #python wrapper for 'ges_title_clip_set_halignment'

Sets the horizontal aligment of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set horizontal alignement of text on

`halign` (GES.TextHAlign) –

GES.TextHAlign

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_set_text

    ges_title_clip_set_text (GESTitleClip * self,
                             const gchar* text)

Sets the text this clip will render.

Parameters:

`self` –

the GESTitleClip* to set text on

`text` ( [nullable]) –

the text to render. an internal copy of this text will be made.

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.set_text

    function GES.TitleClip.prototype.set_text(text: String): {
        // javascript wrapper for 'ges_title_clip_set_text'
    }

Sets the text this clip will render.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set text on

`text` (String) –

the text to render. an internal copy of this text will be made.

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.set_text

    def GES.TitleClip.set_text (self, text):
        #python wrapper for 'ges_title_clip_set_text'

Sets the text this clip will render.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set text on

`text` (str) –

the text to render. an internal copy of this text will be made.

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_set_valignment

    ges_title_clip_set_valignment (GESTitleClip * self,
                                   GESTextVAlign valign)

Sets the vertical aligment of the text.

Parameters:

`self` –

the GESTitleClip* to set vertical alignement of text on

`valign` –

GESTextVAlign

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.set_valignment

    function GES.TitleClip.prototype.set_valignment(valign: GES.TextVAlign): {
        // javascript wrapper for 'ges_title_clip_set_valignment'
    }

Sets the vertical aligment of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set vertical alignement of text on

`valign` (GES.TextVAlign) –

GES.TextVAlign

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.set_valignment

    def GES.TitleClip.set_valignment (self, valign):
        #python wrapper for 'ges_title_clip_set_valignment'

Sets the vertical aligment of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set vertical alignement of text on

`valign` (GES.TextVAlign) –

GES.TextVAlign

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_set_xpos

    ges_title_clip_set_xpos (GESTitleClip * self,
                             gdouble position)

Sets the horizontal position of the text.

Parameters:

`self` –

the GESTitleClip* to set

`position` –

The horizontal position self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.set_xpos

    function GES.TitleClip.prototype.set_xpos(position: Number): {
        // javascript wrapper for 'ges_title_clip_set_xpos'
    }

Sets the horizontal position of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set

`position` (Number) –

The horizontal position self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.set_xpos

    def GES.TitleClip.set_xpos (self, position):
        #python wrapper for 'ges_title_clip_set_xpos'

Sets the horizontal position of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set

`position` (float) –

The horizontal position self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ges_title_clip_set_ypos

    ges_title_clip_set_ypos (GESTitleClip * self,
                             gdouble position)

Sets the vertical position of the text.

Parameters:

`self` –

the GESTitleClip* to set

`position` –

The vertical position self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.prototype.set_ypos

    function GES.TitleClip.prototype.set_ypos(position: Number): {
        // javascript wrapper for 'ges_title_clip_set_ypos'
    }

Sets the vertical position of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set

`position` (Number) –

The vertical position self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

#### GES.TitleClip.set_ypos

    def GES.TitleClip.set_ypos (self, position):
        #python wrapper for 'ges_title_clip_set_ypos'

Sets the vertical position of the text.

Parameters:

`self` (GES.TitleClip) –

the GES.TitleClip* to set

`position` (float) –

The vertical position self is being set to

deprecated : 1.6: use #ges_timeline_element_set_children_properties instead. See #GESTitleSource for more information about exposed properties

### Properties

#### background

    “background” guint

The background of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### background

    “background” Number

The background of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### background

    “self.props.background” int

The background of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### color

    “color” guint

The color of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### color

    “color” Number

The color of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### color

    “self.props.color” int

The color of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### font-desc

    “font-desc” gchar*

Pango font description string

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### font-desc

    “font-desc” String

Pango font description string

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### font_desc

    “self.props.font_desc” str

Pango font description string

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### halignment

    “halignment” GESTextHAlign *

Horizontal alignment of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### halignment

    “halignment” GES.TextHAlign

Horizontal alignment of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### halignment

    “self.props.halignment” GES.TextHAlign

Horizontal alignment of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### text

    “text” gchar*

The text to diplay

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### text

    “text” String

The text to diplay

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### text

    “self.props.text” str

The text to diplay

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### valignment

    “valignment” GESTextVAlign *

Vertical alignent of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### valignment

    “valignment” GES.TextVAlign

Vertical alignent of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### valignment

    “self.props.valignment” GES.TextVAlign

Vertical alignent of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### xpos

    “xpos” gdouble

The horizontal position of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### xpos

    “xpos” Number

The horizontal position of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### xpos

    “self.props.xpos” float

The horizontal position of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ypos

    “ypos” gdouble

The vertical position of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ypos

    “ypos” Number

The vertical position of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

#### ypos

    “self.props.ypos” float

The vertical position of the text

Flags : Read / Write / Construct

deprecated : 1.6: use #ges_timeline_element_set_children_properties or #ges_timeline_element_get_children_properties instead. See #GESTitleSource for more information about exposed properties

## Constants

### GES_TYPE_TITLE_CLIP

    #define GES_TYPE_TITLE_CLIP ges_title_clip_get_type()

The results of the search are